
import typescript from "rollup-plugin-typescript2"
import pkg from './package.json'

export default {
    input: 'src/bazaar.tsx',
    output: [
        { file: `${pkg.main}.js`, format: 'cjs' },
        { file: `${pkg.module}.js`, format: 'es' },
    ],
    external: [...Object.keys(pkg.dependencies || {}), ...Object.keys(pkg.peerDependencies || {})],
    plugins: [typescript()],
}